Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI
Class GEVAControlGroup

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<GEVAControl>
                  UI.GEVAControlGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<GEVAControl>, java.util.Collection<GEVAControl>, java.util.List<GEVAControl>, java.util.RandomAccess

    public class GEVAControlGroup

extends java.util.ArrayList<GEVAControl>

Class for storing list of controls in a group. Is just an ArrayList, but could be more

Author:
  eliottbartley
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`GEVAControlGroup()`

Method Summary
`boolean` | `isHiding()`
`void` | `setHiding(boolean b)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### GEVAControlGroup

    public GEVAControlGroup()

Method Detail

### isHiding

    public boolean isHiding()

### setHiding

    public void setHiding(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD